<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DefaultCS.aspx.cs" Inherits="Telerik.Web.Examples.Scheduler.XmlSchedulerProviderExample.DefaultCS" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/tr/xhtml11/dtd/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <style type="text/css">
        .rsNonWorkHour
        {
            background: silver !important;
            cursor: not-allowed;
        }
        
        .rsOtherMonth
        {
            background: silver !important;
            cursor: not-allowed;
        }
        .Christmas
        {
            background-image: url('images/Christmas.png') !important;
            background-repeat: no-repeat;
        }
        .Sunny
        {
            background-image: url('images/sun.jpg') !important;
            background-repeat: no-repeat;
        }
        
        .Cloudy
        {
            background-image: url('images/cloudy.jpg') !important;
            background-repeat: no-repeat;
        }
        
        .Snowy
        {
            background-image: url('images/snow.png') !important;
            background-repeat: no-repeat;
        }
        
        .Rainy
        {
            background-image: url('images/rainy.gif') !important;
            background-repeat: no-repeat;
        }
        .Remove
        {
            background-image: none !important;
            background-repeat: no-repeat;
        }
        
        .FloatRight
        {
            background-color: Aqua !important;
            color: Red !important;
            float: right;
        }
        .Disabled
        {
            background: silver !important;
            cursor: not-allowed;
        }
        .Disabled.rsAptCreate
        {
            background: silver !important;
        }
    </style>
</head>
<body class="BODY">
    <form id="form1" runat="server">
    <telerik:RadScriptManager runat="Server" ID="RadScriptManager1" />
    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock">
        <script type="text/javascript">
            function OnClientAppointmentInserting(sender, eventArgs) {
                var slotElement = $telerik.$(eventArgs.get_targetSlot().get_domElement());
                if (slotElement.is(".Disabled") || slotElement.parent().is(".Disabled") || slotElement.is(".rsOtherMonth") || slotElement.parent().is(".rsOtherMonth")
                || slotElement.is(".rsNonWorkHours") || slotElement.parent().is(".rsNonWorkHours")) {
                    // Prevent appointment inserting on holidays.
                    eventArgs.set_cancel(true);
                }
            }
            //Disable context menu for special slots if it is enabled 
            function pageLoad() {
                $telerik.$(".Disabled").bind("contextmenu", function (e) {
                    return false;
                });
            }
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadScheduler1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" />
    <div class="exampleContainer">
        <telerik:RadScheduler runat="server" ID="RadScheduler1" SelectedView="MonthView"
            ShowFullTime="false" ShowAllDayRow="false" OnClientAppointmentInserting="OnClientAppointmentInserting"
            OnTimeSlotCreated="RadScheduler1_TimeSlotCreated" OnTimeSlotContextMenuItemClicking="RadScheduler1_TimeSlotContextMenuItemClicking"
            NumberOfHoveredRows="0" OnAppointmentUpdate="RadScheduler1_AppointmentUpdate"
            OnAppointmentDataBound="RadScheduler1_AppointmentDataBound" EnableRecurrenceSupport="false"
            SelectedDate="2011-12-25" OnPreRender="RadScheduler1_PreRender" WorkDayEndTime="20:00:00"
            WorkDayStartTime="08:00:00" DayEndTime="23:00:00" DayStartTime="06:00:00">
            <TimeSlotContextMenus>
                <telerik:RadSchedulerContextMenu runat="server" ID="SchedulerTimeSlotContextMenu">
                    <Items>
                        <telerik:RadMenuItem Text="New Appointment" Value="CommandAddAppointment" />
                        <telerik:RadMenuItem Text="New Recurring Appointment" Value="CommandAddRecurringAppointment" />
                        <telerik:RadMenuItem IsSeparator="true" />
                        <telerik:RadMenuItem Text="Set Weather Forecast">
                            <Items>
                                <telerik:RadMenuItem Text="Sunny" Value="Sunny" />
                                <telerik:RadMenuItem Text="Cloudy" Value="Cloudy" />
                                <telerik:RadMenuItem Text="Rainy" Value="Rainy" />
                                <telerik:RadMenuItem Text="Snowy" Value="Snowy" />
                            </Items>
                        </telerik:RadMenuItem>
                        <telerik:RadMenuItem IsSeparator="true" />
                        <telerik:RadMenuItem Text="Remove Weather Forecast" Value="Remove" />
                        <telerik:RadMenuItem Text="Go to today" Value="CommandGoToToday" />
                    </Items>
                </telerik:RadSchedulerContextMenu>
            </TimeSlotContextMenus>
        </telerik:RadScheduler>
    </div>
    </form>
</body>
</html>
